Comme annoncé, ce forum est passé en lecture seule au 1er janvier 2020. Désormais nous vous invitons à vous rendre sur notre nouvelle page communauté :
Image

A très bientôt !

[Plugin Tiers][Sujet Principal] Plugin Arlo

Pour échanger sur les plugins classés en catégorie "Sécurité"
rigauli
Timide
Messages : 59
Inscription : 16 juin 2018, 19:42

Re: [Plugin Tiers][Sujet Principal] Plugin Arlo

Message par rigauli » 14 mai 2019, 11:54

J'ai viens d'effacer tous les objects dans le plugin et limiter l'accès à seulement 1 caméra dans arlo.com

j'ai réactivé le plugin et syncro.
==> la base est revenue "Arlo(basestaion)" et la caméra "Cuisine(camera)" :: PARFAIT

MAis le démon est toujours NOK (enfin il s'active pendant 4-5 secondes puis repasse en NOK.

Je t'envoi le log en mp
JEEDOM Smart
Dongle Z-Wave
RFXCOM (RFX1000); rts, x2d, oregon,

jmrfsc
Timide
Messages : 6
Inscription : 13 mai 2019, 23:46

Re: [Plugin Tiers][Sujet Principal] Plugin Arlo

Message par jmrfsc » 14 mai 2019, 12:17

Hi, thank you for your prompt answer!!

After reading it I reinstalled the plugin but the error persists.
Could you please provide the dependency log as well (arlo_update)? it might be an error with the installed version of some libraries.
Also, on which system are you running jeedom?
Logs bellow. I'm running Jeedom on a Raspberry Pi 3.

Arlo_update:

Code : Tout sélectionner

*************************************
*   Launch install of dependencies  *
*************************************
Tue May 14 10:23:20 WEST 2019
Hit http://archive.raspberrypi.org jessie InRelease
Get:1 http://mirrordirector.raspbian.org jessie InRelease [15.0 kB]
Hit http://archive.raspberrypi.org jessie/main armhf Packages
Hit http://mirrordirector.raspbian.org jessie/main armhf Packages
Hit http://archive.raspberrypi.org jessie/ui armhf Packages
Hit http://mirrordirector.raspbian.org jessie/contrib armhf Packages
Hit http://mirrordirector.raspbian.org jessie/non-free armhf Packages
Hit http://mirrordirector.raspbian.org jessie/rpi armhf Packages
Ign http://archive.raspberrypi.org jessie/main Translation-en
Ign http://archive.raspberrypi.org jessie/ui Translation-en
Ign http://mirrordirector.raspbian.org jessie/contrib Translation-en
Ign http://mirrordirector.raspbian.org jessie/main Translation-en
Ign http://mirrordirector.raspbian.org jessie/non-free Translation-en
Ign http://mirrordirector.raspbian.org jessie/rpi Translation-en
Hit https://deb.nodesource.com jessie InRelease
Hit https://deb.nodesource.com jessie/main Sources
Hit https://deb.nodesource.com jessie/main armhf Packages
Get:2 https://deb.nodesource.com jessie/main Translation-en [162 B]
Get:3 https://deb.nodesource.com jessie/main Translation-en [162 B]
Get:4 https://deb.nodesource.com jessie/main Translation-en [162 B]
Get:5 https://deb.nodesource.com jessie/main Translation-en [162 B]
Get:6 https://deb.nodesource.com jessie/main Translation-en [162 B]
Ign https://deb.nodesource.com jessie/main Translation-en
Fetched 15.0 kB in 10s (1402 B/s)
Reading package lists...
Install modules using apt-get...
Reading package lists...
Building dependency tree...
Reading state information...
python-pip is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 22 not upgraded.
Install the required libraries...
Requirement already satisfied (use --upgrade to upgrade): monotonic in /usr/local/lib/python2.7/dist-packages
Cleaning up...
Uninstalling sseclient:
Successfully uninstalled sseclient
Downloading/unpacking sseclient==0.0.18
Downloading sseclient-0.0.18.tar.gz
Running setup.py (path:/tmp/pip-build-xf8pCc/sseclient/setup.py) egg_info for package sseclient
Requirement already satisfied (use --upgrade to upgrade): requests>=2.0.0 in /usr/lib/python2.7/dist-packages (from sseclient==0.0.18)
Requirement already satisfied (use --upgrade to upgrade): six in /usr/lib/python2.7/dist-packages (from sseclient==0.0.18)
Installing collected packages: sseclient
Running setup.py install for sseclient
Successfully installed sseclient
Cleaning up...
Requirement already satisfied (use --upgrade to upgrade): requests in /usr/lib/python2.7/dist-packages
Cleaning up...
Tue May 14 10:24:08 WEST 2019
***********************************************
*      Everything successfully installed      *
***********************************************
Arlo_daemon:

Code : Tout sélectionner

[2019-05-14 10:30:13][ERROR] : [ArloEventHandler] Fatal error: Failed to subscribe to eventstream: __init__() got an unexpected keyword argument 'session'
Another possibility reading this log: are you using your own user (email address) and password to configure the plugin?
No, my Arlo account uses another user, not this one that I'm using in the plugin.

Regards.

Mips2648
Actif
Messages : 932
Inscription : 08 sept. 2018, 17:09

Re: [Plugin Tiers][Sujet Principal] Plugin Arlo

Message par Mips2648 » 14 mai 2019, 13:47

Hi @jmrfsc

Could you please run following commands between double quotes on ssh (or via jeedom admin tool) and give me the output.
- " python -V "
- " pip freeze "
- " python -c 'import platform; print(platform.uname());' " (same info in health page)

This is to check version of installed libraries, exact version of python and paltform; I see that some librairies were already installed on your system.

FYI, I run on rpi3 (stretch) and a smart (stretch).
Développeur et auteur des plugins suivants, (entre autre Arlo, Solaredge, Design Image, Gotify...) et aidant sur plein d'autres!

Si vous voulez contribuer, un don fait toujours plaisir : https://paypal.me/mips2648

jmrfsc
Timide
Messages : 6
Inscription : 13 mai 2019, 23:46

Re: [Plugin Tiers][Sujet Principal] Plugin Arlo

Message par jmrfsc » 14 mai 2019, 14:18

Mips2648 a écrit :
14 mai 2019, 13:47
Hi @jmrfsc

Could you please run following commands between double quotes on ssh (or via jeedom admin tool) and give me the output.
- " python -V "
- " pip freeze "
- " python -c 'import platform; print(platform.uname());' " (same info in health page)

This is to check version of installed libraries, exact version of python and paltform; I see that some librairies were already installed on your system.

FYI, I run on rpi3 (stretch) and a smart (stretch).
Hi @Mips2648

Python 2.7.9

Code : Tout sélectionner

Cython==0.21.1
Flask==0.10.1
Flask-HTTPAuth==3.2.1
Flask-RESTful==0.3.5
Jinja2==2.7.3
Louie==1.1
MarkupSafe==0.23
Pillow==2.6.1
PyJWT==0.2.1
Pygments==2.0.1
RPi.GPIO==0.6.3
RTIMULib==7.2.1
Sphinx==1.2.3
Werkzeug==0.9.6
actdiag==0.5.4
aniso8601==1.2.0
argparse==1.2.1
beautifulsoup4==4.5.1
blinker==1.3
blockdiag==1.5.3
bluepy==1.1.0
certifi==2018.1.18
cffi==0.8.6
chardet==2.3.0
colorama==0.3.2
construct==2.8.20
cryptography==0.6.1
docutils==0.12
duplicity==0.6.24
ecdsa==0.11
enum-compat==0.0.2
enum34==1.1.6
funcparserlib==0.3.6
future==0.16.0
gpiozero==1.4.0
html5lib==0.999
idna==2.6
iotop==0.6
itsdangerous==0.24
libopenzwave==0.3.0
lockfile==0.8
lxkeymap==0.1
lxml==3.4.0
mcpi==0.1.1
mercurial==3.1.2
monotonic==1.3
ndg-httpsclient==0.3.2
nose==1.3.4
numpy==1.8.2
nwdiag==1.0.4
oauthlib==0.6.3
openzwave==0.3.0
paramiko==1.15.1
picamera==1.13
picraft==1.0
pifacecommon==4.2.1
pifacedigitalio==3.1.0
pigpio==1.35
ply==3.4
pyOpenSSL==0.14
pyarlo==0.0.8
pyasn1==0.1.7
pycparser==2.10
pycrypto==2.6.1
pygame==1.9.2a0
pygobject==3.14.0
pyinotify==0.9.4
pyserial==2.6
python-apt==0.9.3.12
python-dateutil==2.6.0
pytz==2016.7
pyudev==0.16.1
requests==2.4.3
roman==2.0.0
sense-emu==1.0
sense-hat==2.2.0
seqdiag==0.9.5
six==1.8.0
smbus==1.1
speedtest-cli==1.0.6
sphinxcontrib-actdiag==0.8.5
sphinxcontrib-blockdiag==1.5.5
sphinxcontrib-nwdiag==0.9.5
sphinxcontrib-seqdiag==0.8.5
spidev==3.0
sseclient==0.0.18
sseclient-py==1.7
twython==3.1.2
urllib3==1.9.1
urwid==1.3.1
webcolors==1.7
wheel==0.24.0
wsgiref==0.1.2
('Linux', 'raspberrypi', '4.9.35-v7+', '#1014 SMP Fri Jun 30 14:47:43 BST 2017', 'armv7l', '')

Thanks!

Shinzah
Timide
Messages : 31
Inscription : 02 avr. 2019, 10:29

Re: [Plugin Tiers][Sujet Principal] Plugin Arlo

Message par Shinzah » 14 mai 2019, 15:29

Bonjour, et merci pour ce plugin, tout juste quelques semaines aprés mes achats !! Au TOP !!

Pour ma part le plugin reconnais bien mes 2 arlo sans soucis, j'ai bien les captures !
Juste une chose, le status de 'Detection des mouvements' ne fonctionne pas. Je n'ai rien lorsque j'interroge la commande info (vide), mais dans l'app officielle j'ai bien la detection activée.

Concernant l'info "mouvement detecté", quel est le délai entre la detection du mouvement par la caméra et la reception dans jeedom ?

Merci pour ce super plugin !

Mips2648
Actif
Messages : 932
Inscription : 08 sept. 2018, 17:09

Re: [Plugin Tiers][Sujet Principal] Plugin Arlo

Message par Mips2648 » 14 mai 2019, 15:49

jmrfsc a écrit :
14 mai 2019, 14:18

Hi @Mips2648

Python 2.7.9
...
Thanks!
Hi jmrfsc,
I got your answer, I suspect the issue is related to the version of monotic or most probably requests module, I've to check.

FYI, I know its working with monotonic==1.5 and requests==2.21.0
and you have requests==2.4.3

if you know how to do it you can give a try (but no guarantee from me), anyway please give me some time to check on my side, I will install same version of libraries to reproduce the issue and get back to you.

regards,
Développeur et auteur des plugins suivants, (entre autre Arlo, Solaredge, Design Image, Gotify...) et aidant sur plein d'autres!

Si vous voulez contribuer, un don fait toujours plaisir : https://paypal.me/mips2648

Mips2648
Actif
Messages : 932
Inscription : 08 sept. 2018, 17:09

Re: [Plugin Tiers][Sujet Principal] Plugin Arlo

Message par Mips2648 » 14 mai 2019, 15:59

Shinzah a écrit :
14 mai 2019, 15:29
Bonjour, et merci pour ce plugin, tout juste quelques semaines aprés mes achats !! Au TOP !!

Pour ma part le plugin reconnais bien mes 2 arlo sans soucis, j'ai bien les captures !
Juste une chose, le status de 'Detection des mouvements' ne fonctionne pas. Je n'ai rien lorsque j'interroge la commande info (vide), mais dans l'app officielle j'ai bien la detection activée.

Concernant l'info "mouvement detecté", quel est le délai entre la detection du mouvement par la caméra et la reception dans jeedom ?

Merci pour ce super plugin !
Ma première idée c'est que cela serait du au fait que ce n'est pas correctement initialisé juste après la première détection des caméras.
Essaies en passant en mode "activé" puis "désactivé" (ou l'inverse) et ensuite tu peux re-basculer dans le mode que tu veux et la les valeurs devraient être correcte, si ok alors ce n'est un problème que la première fois (que je note à résoudre).

Sinon le délai de notification est quasi nul, l'info est immédiatement disponible dans le plugin, du moins aussi rapidement que dans l'app officielle.
Pareil si tu changes le mode dans l'app officielle, le plugin sera notifié immédiatement.
Développeur et auteur des plugins suivants, (entre autre Arlo, Solaredge, Design Image, Gotify...) et aidant sur plein d'autres!

Si vous voulez contribuer, un don fait toujours plaisir : https://paypal.me/mips2648

Shinzah
Timide
Messages : 31
Inscription : 02 avr. 2019, 10:29

Re: [Plugin Tiers][Sujet Principal] Plugin Arlo

Message par Shinzah » 14 mai 2019, 17:03

Mips2648 a écrit :
14 mai 2019, 15:59
Ma première idée c'est que cela serait du au fait que ce n'est pas correctement initialisé juste après la première détection des caméras.
Essaies en passant en mode "activé" puis "désactivé" (ou l'inverse) et ensuite tu peux re-basculer dans le mode que tu veux et la les valeurs devraient être correcte, si ok alors ce n'est un problème que la première fois (que je note à résoudre).

Sinon le délai de notification est quasi nul, l'info est immédiatement disponible dans le plugin, du moins aussi rapidement que dans l'app officielle.
Pareil si tu changes le mode dans l'app officielle, le plugin sera notifié immédiatement.
En effet en désactivant/réactivant cela fonctionne a merveille !!

Merci beaucoup :)

dimide
Timide
Messages : 12
Inscription : 13 mai 2019, 19:40

Re: [Plugin Tiers][Sujet Principal] Plugin Arlo

Message par dimide » 14 mai 2019, 17:34

Hello,
Merci pour ton retour rapide !
Mips2648 a écrit :
13 mai 2019, 21:08
je pense que ce ne sont pas 2 bases "station" mais 1 base et un 2eme équipement pour la sirène intégrée à la base, ce sont 2 équipements "logiques" différents même s'ils sont regroupés dans un seul boitier "physique".
Tu peux aussi voir que les commandes sont différentes entre les 2 ainsi que le numéro du modèle se terminant par "-siren" pour le 2eme; correct?
tu peux les renommer dans l'app arlo et ils porteront aussi 2 noms différents dans jeedom après la prochaine synchro.
C'est ça j'ai modifié le nom dans jeedom.

Mips2648 a écrit :
13 mai 2019, 21:08
pourtant j'avais déjà intégré la baby arlo, peux-tu me faire une capture de l'écran histoire de voir si je repère d'où viendrait le soucis?
par contre, même s'il y a ce message, les commandes communes aux autres caméras sont présentes (captures, status...) et fonctionnent a priori, peux-tu confirmer? (je devrais clarifier ce message)
J'ai tenté de te faire une photo en pièce jointe, à voir si ca marche :)
BabyArlo.jpg
BabyArlo.jpg (123.17 Kio) Consulté 1539 fois
Sinon je te confirme qu'elle a bien les commandes standard.

Merci aussi pour les autres infos, je peux activer le plugin sans risque de surconsommation de ma (petite) bande passante :)
J'attends de voir l'évolution pour le lien avec l'app mobile !

Dis moi si jamais tu as besoin de plus d'informations sur la baby arlo.

Bon boulot, encore merci & excellente journée !

dvictoria
Timide
Messages : 56
Inscription : 02 févr. 2019, 17:04

Re: [Plugin Tiers][Sujet Principal] Plugin Arlo

Message par dvictoria » 14 mai 2019, 18:29

Je l’attendais depuis longtemps. Il fonctionne exactement comme je l’espérais voire même mieux. Que du bonheur!!!

jmrfsc
Timide
Messages : 6
Inscription : 13 mai 2019, 23:46

Re: [Plugin Tiers][Sujet Principal] Plugin Arlo

Message par jmrfsc » 14 mai 2019, 18:42

Mips2648 a écrit :
14 mai 2019, 15:49
jmrfsc a écrit :
14 mai 2019, 14:18

Hi @Mips2648

Python 2.7.9
...
Thanks!
Hi jmrfsc,
I got your answer, I suspect the issue is related to the version of monotic or most probably requests module, I've to check.

FYI, I know its working with monotonic==1.5 and requests==2.21.0
and you have requests==2.4.3

if you know how to do it you can give a try (but no guarantee from me), anyway please give me some time to check on my side, I will install same version of libraries to reproduce the issue and get back to you.

regards,

Hi @Mips2648

I've upgraded monotonic and requests to the versions mentioned by you (1.5 and 2.21.0).

Then I've relaunched again the dependencies.

Code : Tout sélectionner

*************************************
*   Launch install of dependencies  *
*************************************
Tue May 14 17:29:01 WEST 2019
Hit http://archive.raspberrypi.org jessie InRelease
Hit http://mirrordirector.raspbian.org jessie InRelease
Hit http://archive.raspberrypi.org jessie/main armhf Packages
Hit http://archive.raspberrypi.org jessie/ui armhf Packages
Hit https://deb.nodesource.com jessie InRelease
Hit http://mirrordirector.raspbian.org jessie/main armhf Packages
Hit https://deb.nodesource.com jessie/main Sources
Hit http://mirrordirector.raspbian.org jessie/contrib armhf Packages
Hit http://mirrordirector.raspbian.org jessie/non-free armhf Packages
Hit https://deb.nodesource.com jessie/main armhf Packages
Get:1 https://deb.nodesource.com jessie/main Translation-en [162 B]
Hit http://mirrordirector.raspbian.org jessie/rpi armhf Packages
Get:2 https://deb.nodesource.com jessie/main Translation-en [162 B]
Get:3 https://deb.nodesource.com jessie/main Translation-en [162 B]
Ign http://archive.raspberrypi.org jessie/main Translation-en
Get:4 https://deb.nodesource.com jessie/main Translation-en [162 B]
Ign http://archive.raspberrypi.org jessie/ui Translation-en
Get:5 https://deb.nodesource.com jessie/main Translation-en [162 B]
Ign https://deb.nodesource.com jessie/main Translation-en
Ign http://mirrordirector.raspbian.org jessie/contrib Translation-en
Ign http://mirrordirector.raspbian.org jessie/main Translation-en
Ign http://mirrordirector.raspbian.org jessie/non-free Translation-en
Ign http://mirrordirector.raspbian.org jessie/rpi Translation-en
Reading package lists...
Install modules using apt-get...
Reading package lists...
Building dependency tree...
Reading state information...
python-pip is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Install the required libraries...
DEPRECATION: Python 3.4 support has been deprecated. pip 19.1 will be the last one supporting it. Please upgrade your Python as Python 3.4 won't be maintained after March 2019 (cf PEP 429).
Collecting monotonic
Downloading https://files.pythonhosted.org/packages/ac/aa/063eca6a416f397bd99552c534c6d11d57f58f2e94c14780f3bbf818c4cf/monotonic-1.5-py2.py3-none-any.whl
Installing collected packages: monotonic
Successfully installed monotonic-1.5
DEPRECATION: Python 3.4 support has been deprecated. pip 19.1 will be the last one supporting it. Please upgrade your Python as Python 3.4 won't be maintained after March 2019 (cf PEP 429).
WARNING: Skipping sseclient as it is not installed.
DEPRECATION: Python 3.4 support has been deprecated. pip 19.1 will be the last one supporting it. Please upgrade your Python as Python 3.4 won't be maintained after March 2019 (cf PEP 429).
Collecting sseclient==0.0.18
Downloading https://files.pythonhosted.org/packages/cd/ca/f8ff9297c6185d942f0c7d3a8fe7766cfd6a15788463a06a99f89d413abe/sseclient-0.0.18.tar.gz
Requirement already satisfied: requests>=2.0.0 in /usr/local/lib/python3.4/dist-packages (from sseclient==0.0.18) (2.21.0)
Requirement already satisfied: six in /usr/lib/python3/dist-packages (from sseclient==0.0.18) (1.8.0)
Requirement already satisfied: certifi>=2017.4.17 in /usr/local/lib/python3.4/dist-packages (from requests>=2.0.0->sseclient==0.0.18) (2019.3.9)
Requirement already satisfied: chardet<3.1.0,>=3.0.2 in /usr/local/lib/python3.4/dist-packages (from requests>=2.0.0->sseclient==0.0.18) (3.0.4)
Requirement already satisfied: idna<2.9,>=2.5 in /usr/local/lib/python3.4/dist-packages (from requests>=2.0.0->sseclient==0.0.18) (2.8)
Requirement already satisfied: urllib3<1.25,>=1.21.1 in /usr/local/lib/python3.4/dist-packages (from requests>=2.0.0->sseclient==0.0.18) (1.24.3)
Building wheels for collected packages: sseclient
Building wheel for sseclient (setup.py): started
Building wheel for sseclient (setup.py): finished with status 'done'
Stored in directory: /root/.cache/pip/wheels/cb/da/69/9f802920a1acbd08fefdf24e163cca4cd5e642136e1254de7e
Successfully built sseclient
Installing collected packages: sseclient
Successfully installed sseclient-0.0.18
DEPRECATION: Python 3.4 support has been deprecated. pip 19.1 will be the last one supporting it. Please upgrade your Python as Python 3.4 won't be maintained after March 2019 (cf PEP 429).
Requirement already satisfied: requests in /usr/local/lib/python3.4/dist-packages (2.21.0)
Requirement already satisfied: urllib3<1.25,>=1.21.1 in /usr/local/lib/python3.4/dist-packages (from requests) (1.24.3)
Requirement already satisfied: certifi>=2017.4.17 in /usr/local/lib/python3.4/dist-packages (from requests) (2019.3.9)
Requirement already satisfied: idna<2.9,>=2.5 in /usr/local/lib/python3.4/dist-packages (from requests) (2.8)
Requirement already satisfied: chardet<3.1.0,>=3.0.2 in /usr/local/lib/python3.4/dist-packages (from requests) (3.0.4)
*      Everything successfully installed      *
***********************************************
The same daemon error

Code : Tout sélectionner

[2019-05-14 17:40:11][ERROR] : [ArloEventHandler] Fatal error: Failed to subscribe to eventstream: __init__() got an unexpected keyword argument 'session'


Regards.

jmrfsc
Timide
Messages : 6
Inscription : 13 mai 2019, 23:46

Re: [Plugin Tiers][Sujet Principal] Plugin Arlo

Message par jmrfsc » 14 mai 2019, 19:23

@Mips2648, I forgot to tell you that besides the daemon is not OK I've tried the synchronization and my devices (basestation and 2 cams) appeared.

Regards.

openhomeautomation
Timide
Messages : 81
Inscription : 18 août 2018, 17:02

Re: [Plugin Tiers][Sujet Principal] Plugin Arlo

Message par openhomeautomation » 14 mai 2019, 23:17

Bonsoir,

Merci pour la mise à jour.

Je rencontre de nouveau un problème avec le deamon, il démarre puis s'arrête :

[2019-05-14 21:11:07][ERROR] : [ArloEventHandler] Fatal error: u'4N526BST293FC'
[2019-05-14 21:11:07][DEBUG] : Shutdown

Enfin je n'ai que 2 commande sur ma caméra (connecté et statut) qui ne semblent pas fonctionner.
Comment faire pour avoir une capture ?

zaz
Timide
Messages : 320
Inscription : 06 nov. 2015, 13:33
Localisation : Proche d'Amiens

Re: [Plugin Tiers][Sujet Principal] Plugin Arlo

Message par zaz » 15 mai 2019, 10:29

Bonjour,
Merci beaucoup pour ce plugin que j’espérais.
Malheureusement le deamon se lance puis s’arrête malgré le fait d'avoir relancé les dépendances.

[2019-05-15 08:23:18][ERROR] : [ArloEventHandler] Fatal error: u'48E46C7EA4030'
[2019-05-15 08:25:58][ERROR] : Fatal error : 401 Client Error: Unauthorized
(Mini + V 3.2.8) Jeedom smart 3.2.8
Fib fgsd 002 6
Fib FGMS 001 sur thermostat et scenario lumière
Fib FGFS 101 3, 1 en test
fib FGWPE 102 1 porte
Dio 54755 3 chauffage salon et 1 ch 1 Sdb
3 camera ip
Xiaomi detecteur ouveture, temperature enceinte

Mips2648
Actif
Messages : 932
Inscription : 08 sept. 2018, 17:09

Re: [Plugin Tiers][Sujet Principal] Plugin Arlo

Message par Mips2648 » 15 mai 2019, 15:44

openhomeautomation a écrit :
14 mai 2019, 23:17
Bonsoir,

Merci pour la mise à jour.

Je rencontre de nouveau un problème avec le deamon, il démarre puis s'arrête :

[2019-05-14 21:11:07][ERROR] : [ArloEventHandler] Fatal error: u'4N526BST293FC'
[2019-05-14 21:11:07][DEBUG] : Shutdown

Enfin je n'ai que 2 commande sur ma caméra (connecté et statut) qui ne semblent pas fonctionner.
Comment faire pour avoir une capture ?
Salut,
Pourrais-tu passer le log en debug et m'envoyer en mp le log au moment du démarrage du démon jusqu'au crash stp? Je voudrai surtout voir la ligne avec la liste des devices récupérés)
si tu pouvais m'envoyer aussi une capture de la config avancée (bouton config avancée, puis bouton "information") de l'équipement arlo q
ou au moins le "type" visible dans l'écran principal, appelé "devicetype" dans la config de l'équipement.

merci
Développeur et auteur des plugins suivants, (entre autre Arlo, Solaredge, Design Image, Gotify...) et aidant sur plein d'autres!

Si vous voulez contribuer, un don fait toujours plaisir : https://paypal.me/mips2648

Mips2648
Actif
Messages : 932
Inscription : 08 sept. 2018, 17:09

Re: [Plugin Tiers][Sujet Principal] Plugin Arlo

Message par Mips2648 » 15 mai 2019, 15:46

zaz a écrit :
15 mai 2019, 10:29
Bonjour,
Merci beaucoup pour ce plugin que j’espérais.
Malheureusement le deamon se lance puis s’arrête malgré le fait d'avoir relancé les dépendances.

[2019-05-15 08:23:18][ERROR] : [ArloEventHandler] Fatal error: u'48E46C7EA4030'
[2019-05-15 08:25:58][ERROR] : Fatal error : 401 Client Error: Unauthorized
Il semble qu'il y ai un soucis d'autorisation; peux-tu vérifier que le nom d'utilisateur et mot de passe sont correcte et vérifier que tu as bien partagé les caméras ainsi que coché la case "donné les droits d'accès" dans la config arlo (app officielle)?
Développeur et auteur des plugins suivants, (entre autre Arlo, Solaredge, Design Image, Gotify...) et aidant sur plein d'autres!

Si vous voulez contribuer, un don fait toujours plaisir : https://paypal.me/mips2648

dvictoria
Timide
Messages : 56
Inscription : 02 févr. 2019, 17:04

Re: [Plugin Tiers][Sujet Principal] Plugin Arlo

Message par dvictoria » 15 mai 2019, 16:05

J'ai un souci avec le changement de mode. Au début de l'installation du plugin tout fonctionnait plus sur le changement de mode par scénario ou manuellement. Depuis ce matin, impossible de changer de mode par le plugin (en manuel ou par scénario). J'ai le message d'erreur suivant dans les logs:

Code : Tout sélectionner

[2019-05-15 15:49:26][ERROR] : Send command to demon error : Request (POST https://arlo.netgear.com/hmsweb/users/devices/automation/active) failed: {u'data': {u'message': u"Device doesn't belong to the User", u'reason': u"4R03777PA745D doesn't belong to the User / Is not provisioned", u'error': u'AUTO-5010'}, u'success': False}
[2019-05-15 16:00:51][ERROR] : Send command to demon error : Request (POST https://arlo.netgear.com/hmsweb/users/devices/automation/active) failed: {u'data': {u'message': u"Device doesn't belong to the User", u'reason': u"4R03777PA745D doesn't belong to the User / Is not provisioned", u'error': u'AUTO-5010'}, u'success': False}
[2019-05-15 16:01:01][ERROR] : Send command to demon error : Request (POST https://arlo.netgear.com/hmsweb/users/devices/automation/active) failed: {u'data': {u'message': u"Device doesn't belong to the User", u'reason': u"4R03777PA745D doesn't belong to the User / Is not provisioned", u'error': u'AUTO-5010'}, u'success': False}

Mips2648
Actif
Messages : 932
Inscription : 08 sept. 2018, 17:09

Re: [Plugin Tiers][Sujet Principal] Plugin Arlo

Message par Mips2648 » 15 mai 2019, 16:20

Il semble que le user utilisé par le plugin n'a pas ou plus les droits sur tes équipements arlo.
Peux-tu vérifier dans l'app officielle que tout est correctement configuré?
est-ce que tu as "confirmé" l'adresse email du user arlo? (arlo envoit un mail avec un lien à confirmer)
as-tu coché la case "activé les accès" (cf doc)? car sans ça l'utilisateur n'a pas les droits de modifier le mode, seulement des droits en lecture
Développeur et auteur des plugins suivants, (entre autre Arlo, Solaredge, Design Image, Gotify...) et aidant sur plein d'autres!

Si vous voulez contribuer, un don fait toujours plaisir : https://paypal.me/mips2648

dvictoria
Timide
Messages : 56
Inscription : 02 févr. 2019, 17:04

Re: [Plugin Tiers][Sujet Principal] Plugin Arlo

Message par dvictoria » 15 mai 2019, 16:27

Je confirme qu'il a bien les droits puisque je peux visualiser les caméras, prendre des snapshots et cela fonctionnait très bien quand j'ai mis en place le plugin. J'ai suivi la procédure et confirmé l'adresse email.

Image

dvictoria
Timide
Messages : 56
Inscription : 02 févr. 2019, 17:04

Re: [Plugin Tiers][Sujet Principal] Plugin Arlo

Message par dvictoria » 15 mai 2019, 16:31

Petit update, je viens de relancer le daemon et tout est reparti. Très bizarre...

Répondre

Revenir vers « [Catégorie] Sécurité »

Qui est en ligne ?

Utilisateurs parcourant ce forum : Aucun utilisateur inscrit et 1 invité